Bug 593282 - Alert Notification: Resource operation alert fails with no resource selected even after fully configuring the notification.
Summary: Alert Notification: Resource operation alert fails with no resource selected ...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
(Show other bugs)
Version: 3.0.0
Hardware: All Linux
high
medium vote
Target Milestone: ---
: ---
Assignee: Joseph Marques
QA Contact: Corey Welton
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon24-alert-notify
TreeView+ depends on / blocked
 
Reported: 2010-05-18 12:28 UTC by Sudhir D
Modified: 2010-08-12 16:46 UTC (History)
1 user (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 16:46:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sudhir D 2010-05-18 12:28:16 UTC
Description of problem:
Alert notification for of an alert of resource operation type fail for all the three resource selection mode, namely This Resrouce, Specific Resource and Relative Resource

Version-Release number of selected component (if applicable):
Build# 152. Version 2.4 Snapshot

How reproducible:
Always

Steps to Reproduce:
1.Create an alert template at the platform level. I have it created for Linux.
2.Select the alert condition for any change system load.
3.Edit the Alert notification and select resource operatoins.
4.Select the any of the resource selection mode. 
  
Actual results:
Resource Operations Notification fails with 
Sender  	         Result  	 Message    
Resource Operations  	FAILURE  	<no resource selected> 

Whereas the resource is selected.	

Expected results:
Resource operation should complete the intended operation.

Additional info:

Comment 1 Charles Crouch 2010-06-08 03:07:17 UTC
Is this still a problem Sudhir?

Comment 2 Sudhir D 2010-06-08 10:30:59 UTC
The bug has manifested itself to affect "Resource Operations" for resource mode "Sepcific Resource". It won't let me select any "Operation Name", the drop down for which is blank.

I see success message for the other resource operations, however because of above stated issue, this fails for Specific Resource mode which is expected.

Sender  	        Result  	Message      
Resource Operations  	FAILURE  	<no operation selected>

Specific Resource mode need to be fixed.

Comment 3 Joseph Marques 2010-06-10 09:58:57 UTC
commit 29d9806ebdc791d4646c956ac09b1d8d02f4f9b7
Author: Joseph Marques <joseph@redhat.com>
Date:   Thu Jun 10 05:55:10 2010 -0400

    BZ-593282: fix operation-based alert notifications for groupAlertDef/alertTemplates
    
    * was incorrectly passing info.resourceId to compute the parameter replacement
    * instead, the effective/target resource should have been computed and passed instead

-----

note: without this fix, any spawned alert definitions (either from group alert definitions or alert templates) are broken.

Comment 4 Corey Welton 2010-06-10 18:20:48 UTC
QA Verified, this does not faily with any available "Resource Selection Mode" options any more.

Comment 5 Corey Welton 2010-08-12 16:46:39 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.